### Function

# Gimp color_parse_name

since: 2.2

#### Declaration [src]

    GeglColor*
    gimp_color_parse_name (
      const gchar* name,
      gint len
    )

#### Description [src]

Attempts to parse a color name. This function accepts SVG 1.1 color keywords.

Available since: 2.2

#### Parameters

`name`

  Type: An array of `gchar`

  A color name (in UTF-8 encoding)

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`len`

  Type: `gint`

  The length of `name`, in bytes. or -1 if `name` is nul-terminated.

#### Return value

Type: `GeglColor`

A sRGB color as defined in “4.4. Recognized color keyword names” list of SVG 1.1 specification, if `name` was parsed successfully, `NULL` otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.